<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Gang](./bitburner.gang.md) &gt; [setTerritoryWarfare](./bitburner.gang.setterritorywarfare.md)

## Gang.setTerritoryWarfare() method

Enable/Disable territory clashes.

**Signature:**

```typescript
setTerritoryWarfare(engage: boolean): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  engage | boolean | Whether or not to engage in territory clashes. |

**Returns:**

void

## Remarks

RAM cost: 2 GB

Set whether or not the gang should engage in territory clashes

